Jump to content

Compre o Delphi
Com até 30% de desconto
e parcelado em até 12x sem juros

Saiba Mais

Balança SM100 performance surpreendente

Tecnologia Japonesa   Teclado e Visor resistentes a água
Consumo inteligente de etiquetas   Baixo custo de manutenção
Comunicação Ethernet e WIFI independentes

Saiba mais

Impressora de Etiquetas ELGIN - L42 PRO

Protocolos PPLA, PPLB, ZPL, EPL (automático)
Porta USB padrão Opcionais: Ethernet, Serial, Paralela
Sensor de Etiquetas Móvel Garantia de 18 meses

Saiba mais

Júlio Molon

Erro: Versão do cabeçalho informada difere da versão do XML de Dados!

Recommended Posts

Estamos tendo o mesmo problema aqui também. 

Acredito que os webservices foram atualizados.


Gilson do Carmo
WindSoft Sistemas

Share this post


Link to post
Share on other sites
Em 16/05/2019 at 10:08, Júlio Molon disse:

Bom dia, estou estou atualizando o ACBrGNRE para trabalhar na versão 2 do GNRE porém tenho recebido este retorno do web service.

Alguém faz ideia do que poderia estar ocorrendo??

Pode ser que o estado não esteja preparado para a versão 2.0 do GNRe. Você pode verificar isso no seguinte site:

Pode-se consultar alguma (in)compatibilidade no seguinte site: http://www.gnre.pe.gov.br/gnre/portal/consultarTabelas.jsp

35 minutos atrás, Fernanda Penteado disse:

tambem estou com mesmo problema

Queiram por favor verificar também o seguinte tópico sobre o assunto que indica que alguns campos adicionais podem não estar disponíveis em algumas UFs:

 

  • Like 2

[]'s

Consultor SAC ACBr

Elton
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr     Telefone:(15) 2105-0750 WhatsApp(15)99790-2976.

Um engenheiro de Controle de Qualidade(QA) entra num bar. Pede uma cerveja. Pede zero cervejas.
Pede 99999999 cervejas. Pede -1 cervejas. Pede um jacaré. Pede asdfdhklçkh.

Share this post


Link to post
Share on other sites

Essa questão é simples, passamos horas debugando aqui até encontrar, basta renomear o schema "dados_gnre_v2.00.xsd" para "gnre_v2.00.xsd"

Falha na unit ACBrDFe, na procedure TACBrDFe.AchaArquivoSchema(NomeSchema: String; var AVersao: Double;

Se não encontra o arquivo busca pela "versão próxima", não sei como resolver ali por que é usado em vários locais (NFSe, NFe, MDFe, CTe, BPe, ANe...)

 

Complementando:

A versão do GNRe em sí vai corretamente como versão "2.00", mas a versão dos dados vai como "1.00" (cabeçalho) se não encontra o arquivo. Não seria mais utilizar a versão configurada diretamente no componente ao invés de buscar a versão pelo schema?

 

 

 

Edited by -=Ma®©oS=-
Complementando

-=Ma®©oS=-

Share this post


Link to post
Share on other sites
1 hora atrás, Italo Jurisato Junior disse:

Boa tarde Marcos,

Favor anexar os XMLs gerados que apresenta a versão do cabeçalho errada.

Anexo, só alterei os dados das empresas por questão de confidencialidade.

 

A simulação é fácil, só debugar a "procedure TACBrDFe.AchaArquivoSchema" que vai entender o que está acontecendo

 

20190613113618-env-lot-soap.xml 20190612153247-env-lot-soap_errado.xml

Edited by -=Ma®©oS=-

-=Ma®©oS=-

Share this post


Link to post
Share on other sites

Marcos,

Acabei de fazer um teste usando o programa exemplo do componente ACBrGNRE com ele configurado para a versão 2.00

A versão gerada no cabeçalho é 2.00

Você esta com todos os fontes de todas as pastas atualizados?

Reinstalou a suíte ACBr usando o ACBrInstall_Trunk2 com a opção apagar arquivos antigos marcada?

Detalhe não alterei o nome de nenhum Schema.

O teste foi realizado com tudo o que esta no repositório.


Consultor SAC ACBr Italo Jurisato Junior
Ajude o Projeto ACBr crescer - Assine o SAC

Projeto ACBr

Analista de Sistemas / e-mail: [email protected] / Fone: (16) 9-9701-5030 / Araraquara-SP

Share this post


Link to post
Share on other sites
1 minuto atrás, Italo Jurisato Junior disse:

Marcos,

Acabei de fazer um teste usando o programa exemplo do componente ACBrGNRE com ele configurado para a versão 2.00

A versão gerada no cabeçalho é 2.00

Você esta com todos os fontes de todas as pastas atualizados?

Reinstalou a suíte ACBr usando o ACBrInstall_Trunk2 com a opção apagar arquivos antigos marcada?

Detalhe não alterei o nome de nenhum Schema.

O teste foi realizado com tudo o que esta no repositório.

Sim atualizados.

 

Será que é por que o componente é criado em runtime?

Depois de criado é setado a versão (Configuracao.Geral.VersaoDF = ve200)

 


-=Ma®©oS=-

Share this post


Link to post
Share on other sites
6 minutos atrás, Italo Jurisato Junior disse:

Marcos,

Tente fazer um teste com o programa exemplo do componente.

É, estranhamente pelo programa de exemplo funciona, deve ser mesmo alguma coisa relacionada ao componente criado em runtime.

Edited by -=Ma®©oS=-
  • Like 3

-=Ma®©oS=-

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...